<?php

include_once "authentication.php";


if(isset($_POST['first_name'])){

	$sql_epg = new mysqli('96.125.196.10', 'facturation', 'r2SnlWTyKjMzw5oQ', 'cargotv');
	$sql_epg->set_charset("latin1_swedish_ci");
	
	$address_id = $_POST['ws_delivery_id'];
	$first_name = str_replace("'","",$sql_epg->real_escape_string(utf8_decode($_POST['first_name'])));
	$last_name = str_replace("'","",$sql_epg->real_escape_string(utf8_decode($_POST['last_name'])));
	$city = str_replace("'","", $sql_epg->real_escape_string(utf8_decode($_POST['city'])));
	$code_postal = $_POST['zip'];
	$address = str_replace("'","",$sql_epg->real_escape_string(utf8_decode($_POST['address'])));
	//$civicno = $_POST['civicno'];
	$civicno = $_POST['ws_delivery_id'];

	$q_sub = "INSERT INTO `subs` (`groupid`,`fname`,`lname`,`city`,`zip`,`address`,`resellerid`,`status`,`defaultSaverTimeout`,`civicno`,`defPvrMaxHours`,`appProfileId`)
	VALUES (2,'$first_name','$last_name','$city','$code_postal','$address',1,'ACTIVE',2147483647,'$civicno',100,1)";

	if($sql_epg->query($q_sub)){

		//echo "$q_sub <br><br>";
		//print_r($sql_epg->error_list);

		$subid = 0;
		$subid = $sql_epg->insert_id;
			
		$q_update = "UPDATE `delivery` SET `epg_subid` = $subid WHERE `id` = {$_POST['ws_delivery_id']}";
		if($sql->query($q_update)){
		
			//echo "$q_update <br><br>";

			$sql_epg->close();
			
			
			die("<form id='form_package' method='post' action='accueil.php?menu=tele_wizard_package'>
			<input type='hidden' name='tw_delivery_id' value='$address_id'>
			<input type='hidden' name='tw_sub_id' value='$subid'>
			</form>
			<script>
			$('#form_package').submit();
			</script>");
			
		}
		else{
			echo "<div class='alert alert-danger'>Erreur Link epg->F. subid: $subid - delivery: {$_POST['ws_delivery_id']}</div>";
		}
	}
	else{
		echo "<div class='alert alert-danger'>Le compte n'a pu etre cree dans epg: {$sql_epg->error_list}</div>";
	}
	
	$sql_epg->close();
	
}



//debug
//$_POST['ws_delivery_id'] = 2;


$delivery_id = $_POST['ws_delivery_id'];

$res_delivery = $sql->query("SELECT * FROM `delivery` WHERE `id` = $delivery_id");
$row_delivery = $res_delivery->fetch_assoc();
$name = explode(' ',$row_delivery['name']);
$civicno = explode(' ',$row_delivery['address1']);
$civicno = str_replace(',','',$civicno[0]);
$civicno = str_replace(' ','',$civicno);


?>

<h3>Tele Wiz - Ouverture compte tele (epg)</h3><br>

<form class="form-horizontal" id='f_wiz_subs' method='POST' data-toggle="validator" role="form">

	<input type='hidden' name='ws_delivery_id' value='<?php echo $_POST['ws_delivery_id'];?>'>
	
	<div class="form-group">
		<label class="col-sm-2 control-label">Prenom</label>
		<div class="col-sm-4">
			<input type="text" class='form-control' name='first_name' id='first_name' value='<?php echo $name[0];?>'>
		</div>
		<span class='help-block with-errors'></span>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label">Nom</label>
		<div class="col-sm-4">
			<input type="text" class='form-control' name='last_name' id='last_name' value='<?php if(isset($name[1])) echo $name[1];?>'>
		</div>
		<span class='help-block with-errors'></span>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label">Civic</label>
		<div class="col-sm-4">
			<input type="text" class='form-control' name='civicno' id='civicno' value='<?php echo $civicno;?>'>
		</div>
		<span class='help-block with-errors'></span>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label">Adresse</label>
		<div class="col-sm-4">
			<input type="text" class='form-control' name='address' id='address' value='<?php echo $row_delivery['address1'];?>'>
		</div>
		<span class='help-block with-errors'>adresse complète incluant no. civic</span>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label">Ville</label>
		<div class="col-sm-4">
			<input type="text" class='form-control' name='city' id='city' value='<?php echo $row_delivery['city'];?>'>
		</div>
		<span class='help-block with-errors'></span>
	</div>
	<div class="form-group">
		<label class="col-sm-2 control-label">Code Postal</label>
		<div class="col-sm-4">
			<input type="text" class='form-control' name='zip' id='zip' value='<?php echo $row_delivery['zip'];?>'>
		</div>
		<span class='help-block with-errors'></span>
	</div>
	<br>
	<button id='btn_submit' type='submit' class='btn btn-success'>Enregistrer</button>


</form>